/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\ML Minor Artys\artifacts\QuiverOfTheElements.cs
Lines of code: 37
***********************************************************/



using System;
using Server.Targeting;
using Server.Mobiles;

namespace Server.Items
{ 

	public class QuiverOfTheElements : Quiver
	{

		[Constructable]
		public QuiverOfTheElements()
		{
			Name="Quiver of The Elements";//Not using cliloc as they do not work with quivers (not sure why)
			Hue=			
			Hue=135;
			

			Attributes.WeaponDamage=10;
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Poison=0; 
			AosElementDamages.Cold=0;
			AosElementDamages.Energy=0; 
			AosElementDamages.Chaos=100; 	

			WeightReduction=50;
		}
		


		public QuiverOfTheElements( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();							
		}
	}
}